# Business onboarding

## Endpoints

### POST /businesses/{fp_bid}/kyb
**Create a headless KYB onboarding session**

For a business whose information has already been collected, runs the verification checks of the provided playbook. Footprint contacts the business verification and identity verification vendors configured on the playbook and issues a decision using the playbook's rules.
  
The decision is returned inline. In the rare case that Footprint is still waiting on an asynchronous result from a vendor, this API returns a status of `pending` and the final decision arrives via webhook.
  
This API does not run KYC on beneficial owners, so the playbook you provide must not collect or verify beneficial owners. To verify the identities of the beneficial owners as well, run the existing users through a KYC playbook with the POST /users/{fp_id}/kyc API.


### POST /businesses/{fp_bid}/decisions
**Create a manual decision for a business**

Creates a manual review decision for a business, overriding any previous decision and clearing any outstanding manual review.

### GET /businesses/{fp_bid}/decisions
**List all decisions for a business**

Returns the decisions made for this business, newest first. Includes both automated decisions from playbook rules and manual decisions made by dashboard users.

### GET /businesses/{fp_bid}/onboardings
**List all onboardings for a business**

Lists the playbooks this business has onboarded onto, newest first. A business that has onboarded onto one playbook several times has several onboardings. Use it to find the status of an onboarding onto a specific playbook.

### GET /businesses/{fp_bid}/risk_signals
**List all risk signals for a business**

This endpoint is deprecated but remains supported for current users. Use the `/businesses/{fp_bid}/onboardings/{onboarding_id}/risk_signals` endpoint instead.

### GET /businesses/{fp_bid}/onboardings/{onboarding_id}/risk_signals
**List all risk signals for a business and onboarding**

Lists the risk signals for a business and onboarding.

### GET /businesses/{fp_bid}/onboardings/{onboarding_id}/details
**Retrieve detailed insights for a business onboarding**

Returns business insights, including names, registrations, filings, and watchlist hits.

### POST /businesses/{fp_bid}/owners
**Link a business owner**

Links an existing `fp_id` to the provided business as a beneficial owner. Linking beneficial owners via API is mutually exclusive with collecting them through the interactive KYB onboarding product. Either link existing vaults via API, or have the user provide information on all beneficial owners while onboarding onto a KYB playbook.

### GET /businesses/{fp_bid}/owners
**List all owners of a business**

Lists all beneficial owners of a business. Beneficial owners come either from the user during interactive onboarding onto a KYB playbook or from the POST /businesses/{fp_bid}/owners API.

### GET /users/{fp_id}/businesses
**List all businesses a user owns**

Lists the businesses this user is a beneficial owner of, newest first. This is the inverse of the GET /businesses/{fp_bid}/owners API.

### GET /businesses/{fp_bid}/documents
**List the documents for a business**

Lists the documents this business uploaded successfully, optionally for a given `onboarding_id`.

### GET /businesses/{fp_bid}/onboardings/{id}
**Get an onboarding for a business**

Returns the latest information about one of a business's onboardings. Both the business and the onboarding can be referenced by external ID.

# Business onboarding

Once a business exists, use these APIs to read its business verification results and start new business verification sessions.

A business created through the interactive business onboarding product is always associated with the `fp_id` that created it, as the business's owner. A business created via API can have its owners linked with the POST /businesses/{fp_bid}/owners API below.